<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="280dp"
        android:layout_height="wrap_content"
        android:text="众包录像 测试3"
        android:textColor="#333"
        android:layout_margin="20dp"
        android:textSize="18sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_money"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="3.5元"
        android:textColor="#F44336"
        android:textSize="20sp"
        android:textStyle="bold"
        android:layout_margin="15dp"
        app:layout_constraintBottom_toBottomOf="@+id/tv_title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/tv_title" />
    <TextView
        android:id="@+id/tv_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:text="到期时间："
        android:textSize="15sp"
        app:layout_constraintStart_toStartOf="@+id/tv_title"
        app:layout_constraintTop_toBottomOf="@+id/tv_title" />

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="#BFB8B8"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        app:layout_constraintBottom_toBottomOf="@+id/tv_time"
        app:layout_constraintTop_toTopOf="@+id/tv_describe" />
    <TextView
        android:id="@+id/tv_distance"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="10dp"
        android:layout_marginEnd="20dp"
        android:maxLength="10"
        android:text="距离："
        android:textSize="15sp"
        app:layout_constraintBottom_toBottomOf="@+id/tv_time"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/tv_time" />

    <TextView
        android:id="@+id/tv_describe"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="任务描述："
        android:textSize="15sp"
        android:layout_marginTop="20dp"
        app:layout_constraintStart_toStartOf="@+id/tv_time"
        app:layout_constraintTop_toBottomOf="@+id/tv_time" />
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_describe">
        <Button
            android:id="@+id/btn_cancel_get"
            style="@style/user_data_style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_margin="20dp"
            android:visibility="gone"
            android:layout_weight="1"
            android:text="取消领取" />
        <Button
            android:id="@+id/btn_get_task"
            style="@style/user_data_style"
            android:layout_width="0dp"
            android:visibility="visible"
            android:layout_height="wrap_content"
            android:layout_margin="20dp"
            android:layout_weight="1"
            android:text="领取任务" />
        <Button
            android:id="@+id/btn_gather"
            style="@style/user_data_style"
            android:layout_width="0dp"
            android:visibility="visible"
            android:layout_height="wrap_content"
            android:layout_margin="20dp"
            android:layout_weight="1"
            android:text="立即采集" />
        <Button
            android:id="@+id/btn_finish_gather"
            style="@style/user_data_style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_margin="20dp"
            android:visibility="gone"
            android:layout_weight="1"
            android:text="结束采集" />
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>